/AgeEstimation/id
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://liveness-v2-eu.core.idscan.cloud/AgeEstimation/id"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new MultipartFormDataContent { new StringContent("example") { Headers = { ContentType = new MediaTypeHeaderValue("text/plain"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "FaceImageId", } } }, new StringContent("{ \"additionalProperty\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "AdditionalDetails", } } }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://liveness-v2-eu.core.idscan.cloud/AgeEstimation/id"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"FaceImageId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalDetails\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "multipart/form-data; boundary=---011000010111000001101001")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("multipart/form-data; boundary=---011000010111000001101001");RequestBody body = RequestBody.create(mediaType, "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"FaceImageId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalDetails\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n");Request request = new Request.Builder() .url("https://liveness-v2-eu.core.idscan.cloud/AgeEstimation/id") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "multipart/form-data; boundary=---011000010111000001101001") .build();
Response response = client.newCall(request).execute();const url = 'https://liveness-v2-eu.core.idscan.cloud/AgeEstimation/id';const form = new FormData();form.append('FaceImageId', 'example');form.append('AdditionalDetails', '{ "additionalProperty": "example" }');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("multipart/form-data; boundary=---011000010111000001101001")val body = RequestBody.create(mediaType, "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"FaceImageId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalDetails\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n")val request = Request.Builder() .url("https://liveness-v2-eu.core.idscan.cloud/AgeEstimation/id") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "multipart/form-data; boundary=---011000010111000001101001") .build()
val response = client.newCall(request).execute()curl --request POST \ --url https://liveness-v2-eu.core.idscan.cloud/AgeEstimation/id \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form FaceImageId=example \ --form 'AdditionalDetails={ "additionalProperty": "example" }'Performs age estimation using a packet ID.
Age Estimation by ID endpoint allows for age estimation using a previously uploaded face image ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Correlation Id for the request
Request Body
Section titled “Request Body”object
The ID of the face image.
Additional metadata for the request.
object
Responses
Section titled “Responses”Returns the age estimation result.
Response from age estimation service.
object
The low end of the estimated age range in years.
The high end of the estimated age range in years.
Error code if any.
Error message if any.
Additional details.
object
Response from age estimation service.
object
The low end of the estimated age range in years.
The high end of the estimated age range in years.
Error code if any.
Error message if any.
Additional details.
object
Example generated
{ "low": 1, "high": 1, "errorCode": "example", "error": "example", "additionalDetails": { "additionalProperty": "example" }}Response from age estimation service.
object
The low end of the estimated age range in years.
The high end of the estimated age range in years.
Error code if any.
Error message if any.
Additional details.
object
Example generated
{ "low": 1, "high": 1, "errorCode": "example", "error": "example", "additionalDetails": { "additionalProperty": "example" }}Error with the provided parameters.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}Packet not found.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}Internal error during processing.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}